/** 
 *   FIXME ....
 *
 *   (c) Copyright 2003 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 *   TODO: ???
 **/

#include <stdio.h>
#include <stdlib.h>
#include "encoders.h"
#include "iar.h"
#include "anemometer.h"
#include "coordinate.h"


int main(int argc, const char *argv[]) 
{
	struct encoders_data ed;
	int fd_enc;
//	int ra = RA_CASE;
	//int dec = DEC_CASE;

	int ra = DEC_CASE;
	int dec = RA_CASE;
	//int val_anem;

	if ((fd_enc = encoders_open(ra, dec)) == -1){
                perror("main");
                exit(1);
        }
	printf("The bufer legent is %d\n", encoders_buff_len(fd_enc));
	printf("e5850 is running: %d\n", encoders_is_running(fd_enc));
	//encoders_clear_buff(fd_enc);
	//getchar();

	while(1) {
		if (encoders_get_next_data(fd_enc, &ed) == 1) {
			//val_anem = get_anemometer(fd_enc);
			printf("%5d (%6.4f) %5d (%7.4f) %3d\n", 
			       ed.encoder[ra],  ENC2DEG(ed.val[ra]),
			       ed.encoder[dec], 
			       -ENC2DEG(ed.val[dec]) /* + IAR_LATITUDE */,
			       anemometer_conv(ed.anemometer));
		}else{
			printf("The bufer legent is %d\n", 
			       encoders_buff_len(fd_enc));
		}
	}
	
	encoders_stop(fd_enc);
	printf("e5850 is running: %d\n", encoders_is_running(fd_enc));
	
	encoders_close(fd_enc);
	
	return 0;
}



